import { RefreshCompletedEventArgs as RefreshCompletedEventArgs_internal } from "./RefreshCompletedEventArgs";
import { ContentChildrenManager } from "igniteui-react-core";
export declare class IgrRefreshCompletedEventArgs {
    protected createImplementation(): RefreshCompletedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): RefreshCompletedEventArgs_internal;
    private onImplementationCreated;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
}
